### Enumeration

# Gtk TreeModelFlags

deprecated: 4.10 since: 4.0

#### Declaration

    flags Gtk.TreeModelFlags

#### Description [src]

These flags indicate various properties of a `GtkTreeModel`.

They are returned by `gtk_tree_model_get_flags()`, and must be static for the lifetime of the object. A more complete description of `GTK_TREE_MODEL_ITERS_PERSIST` can be found in the overview of this section.

Available since: 4.0

Deprecated since: 4.10

Please do not use it in newly written code.

#### Members

`GTK_TREE_MODEL_ITERS_PERSIST`

  Iterators survive all signals emitted by the tree.

  - Value: `1`
  - Nickname: `iters-persist`
  - Available since: 4.0
`GTK_TREE_MODEL_LIST_ONLY`

  The model is a list only, and never has children.

  - Value: `2`
  - Nickname: `list-only`
  - Available since: 4.0